<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>c5b48762-1576-47ee-9e71-b9884a3a5cd2</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="Clients\Library\Genre\Swagger.json" />
    <Content Remove="Clients\Library\Language\Swagger.json" />
    <Content Remove="Clients\Library\MediaContent\Anime\Title\Swagger.json" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.21.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MyBookmark.ServiceDefaults\MyBookmark.ServiceDefaults.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Clients\Library\Nowy folder\" />
    <Folder Include="Components\" />
    <Folder Include="Pages\Library\Anime\Detail\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="Clients\Library\Genre\Swagger.json">
      <Generator>NSwagCodeGenerator</Generator>
      <LastGenOutput>Swagger.cs</LastGenOutput>
    </None>
    <None Include="Clients\Library\Language\Swagger.json">
      <Generator>NSwagCodeGenerator</Generator>
      <LastGenOutput>Swagger.cs</LastGenOutput>
    </None>
    <None Include="Clients\Library\MediaContent\Anime\Title\Swagger.json">
      <Generator>NSwagCodeGenerator</Generator>
      <LastGenOutput>Swagger.cs</LastGenOutput>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Clients\Library\Genre\Swagger.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Swagger.json</DependentUpon>
    </Compile>
    <Compile Update="Clients\Library\Language\Swagger.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Swagger.json</DependentUpon>
    </Compile>
    <Compile Update="Clients\Library\MediaContent\Anime\Title\Swagger.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Swagger.json</DependentUpon>
    </Compile>
  </ItemGroup>

</Project>
